#if !defined(lcd_H)
#define lcd_H

// control lines
//set pin configuration
#define TRIS_LCD_WR	TRISAbits.TRISA2	//WR pin 
#define LCD_WR		LATAbits.LATA2
#define TRIS_LCD_RS	TRISAbits.TRISA3	//control cmd/data
#define LCD_RS		LATAbits.LATA3	
#define TRIS_LCD_CS	TRISAbits.TRISA4	//CS pin 
#define LCD_CS		LATAbits.LATA4	
#define TRIS_LCD_RD	TRISAbits.TRISA1	//RD pin 
#define LCD_RD		LATAbits.LATA1
#define TRIS_LCD_RESET	TRISAbits.TRISA0	//RST pin 
#define LCD_RESET		LATAbits.LATA0

//#define TRIS_GAS_INPUT	TRISAbits.TRISA5	//analog input
//#define GAS_INPUT		LATAbits.LATA5

#define TRIS_LCD_DATA   TRISD			//LCD 8-bit data port to PORTD	
#define LCD_DATA		LATD
#define LCD_PORT		PORTD

#define nop() _asm nop _endasm

void delay(unsigned int x);
void write_command(unsigned char command);
void write_data(unsigned char data_h, unsigned char data_l);
void initialize_display();
void display_color(unsigned char data_h, unsigned char data_l);
void display_bg(unsigned char x,unsigned char y, unsigned char pWidth,unsigned char pHeight,const rom unsigned char *pPat);

#endif